Обновление OpenSSL 1.1.0g и 1.0.2m с устранением уязвимостей

Доступны корректирующие выпуски криптографической библиотеки OpenSSL 1.0.2m и 1.1.0g , в которых устранены две уязвимости, из которых одна отмечена как неопасная (CVE-2017-3735), а вторая (CVE-2017-3736) отнесена к категории проблем среднего уровня опасности.

Уязвимость CVE-2017-3736 связана с ошибкой вычислений при выполнении процедур возведения в степень на системах с Intel Broadwell, AMD Ryzen и более новыми процессорами с поддержкой расширений BMI1, BMI2 и ADX. Проблема теоретически может применяться для атаки по восстановлению закрытых ключей. Для алгоритмов EC атака не применима, а для RSA и DSA очень сложна в организации и маловероятно, что вообще сможет быть воплощена на практике. Атака против DH тоже сложна, но более реалистична, так как большая часть работы для воссоздания информации о закрытом ключе может быть выполнена не на уязвимой системе. В любом случае для атаки требуется наличие очень больших вычислительных ресурсов, которые доступны ограниченному контингенту.

11/02/2017 18:44:26
0

комментарии (0)